{% extends "base.html" %}

{% block tablezero %}
    <table id="table_0" class="table table-striped grid-item" style="float: left">
        <thead>
          <tr>
            <th>#</th>
            <th>Sender</th>
            <th>Date</th>
            <th>Content</th>
          </tr>
        </thead>
        <tbody>
        </tbody>
      </table>
{% endblock %}

{% block tableone %}
    <table id="table_1" class="table table-striped grid-item" style="float: left">
        <thead>
          <tr>
            <th>#</th>
            <th>Sender</th>
            <th>Date</th>
            <th>Content</th>
          </tr>
        </thead>
        <tbody>
        </tbody>
      </table>
{% endblock %}

{% block matches %}
  <table id="matched" class="table table-striped">
    <thead>
      <tr>
        <th>#</th>
        <th>Recipient</th>
        <th>Date</th>
        <th>Content</th>
      </tr>
    </thead>
    <tbody>
    </tbody>
  </table>
{% endblock %}

{% block scripts %}
  <script>
    $(document).ready(function () {
      $('#table_0').DataTable({
        ajax: '/api/table_0',
        columns: [
          {data: 'message_id'},
          {data: 'sender', searchable: true},
          {data: 'date', orderable: true},
          {data: 'content'}
        ],
      });
    });
  </script>

  <script>
    $(document).ready(function () {
      $('#table_1').DataTable({
        ajax: '/api/table_1',
        columns: [
          {data: 'message_id'},
          {data: 'sender', searchable: true},
          {data: 'date', orderable: true},
          {data: 'content'}
        ],
      });
    });
  </script>
  <script>
    $(document).ready(function () {
      $('#matched').DataTable({
        ajax: '/api/matched',
        columns: [
          {data: 'message_id'},
          {data: 'recipient', searchable: true},
          {data: 'date', orderable: true},
          {data: 'content'}
        ],
      });
    });
  </script>
{% endblock %}
